Bug 1284601 - Review Request: perl-Trace-Mask - Masking frames in stack traces
Review Request: perl-Trace-Mask - Masking frames in stack traces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1284482
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 11:07 EST by Petr Pisar
Modified: 2015-11-25 06:28 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Trace-Mask-0.000006-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 06:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-11-23 11:07:46 EST
Spec URL: https://ppisar.fedorapeople.org/perl-Trace-Mask/perl-Trace-Mask.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Trace-Mask/perl-Trace-Mask-0.000006-1.fc24.src.rpm
Description:
This is a specification packages can follow to define behaviors stack
tracers may choose to honor. If a module implements this specification than
any compliant stack tracer will render the stack trace as desired. This
package also provides some implementations (e.g. a Carp stack tracer).

Fedora Account System Username: ppisar
Comment 1 Petr Šabata 2015-11-24 10:00:13 EST
* strict & warnings are used by the Makefile.PL, too.
  You may want to list them in the first BR block.

* Similarly, you may want to move the Try::Tiny BR to the `runtime block'.

* Just like Test::Stream, all the source files point to the Artistic license.
  Let upstream know.


No real issues.  Approving.
Comment 2 Gwyn Ciesla 2015-11-24 11:46:46 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Trace-Mask
Comment 3 Petr Pisar 2015-11-25 06:28:13 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.